org.codehaus.plexus.util.xml

## Class SerializerXMLWriter

- java.lang.Object
- - org.codehaus.plexus.util.xml.SerializerXMLWriter

- All Implemented Interfaces:
    XMLWriter

      public class SerializerXMLWriter
      extends java.lang.Object
      implements XMLWriter

  Write to an MXSerializer.
  Version:
    $Id: SerializerXMLWriter.java 8010 2009-01-07 12:59:50Z vsiveton $
  Author:
    Brett Porter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializerXMLWriter(java.lang.String namespace, XmlSerializer serializer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttribute(java.lang.String key, java.lang.String value)`
    `void` | `endElement()`
    `java.util.List` | `getExceptions()`
    `void` | `startElement(java.lang.String name)`
    `void` | `writeMarkup(java.lang.String text)`
    `void` | `writeText(java.lang.String text)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializerXMLWriter

          public SerializerXMLWriter(java.lang.String namespace,
                                     XmlSerializer serializer)

  - ### Method Detail

    - #### startElement

          public void startElement(java.lang.String name)

      Specified by:
        `startElement` in interface `XMLWriter`

    - #### addAttribute

          public void addAttribute(java.lang.String key,
                                   java.lang.String value)

      Specified by:
        `addAttribute` in interface `XMLWriter`

    - #### writeText

          public void writeText(java.lang.String text)

      Specified by:
        `writeText` in interface `XMLWriter`

    - #### writeMarkup

          public void writeMarkup(java.lang.String text)

      Specified by:
        `writeMarkup` in interface `XMLWriter`

    - #### endElement

          public void endElement()

      Specified by:
        `endElement` in interface `XMLWriter`

    - #### getExceptions

          public java.util.List getExceptions()